React CircularGauge Indicator Types
This section lists objects that define properties used to configure value and subvalue indicators of specific types.
RangeBar
An object that defines a gauge indicator of the rangeBar type.
Type:
jQuery
index.js
$(function() {
$("#circularGauge").dxCircularGauge({
value: 40,
valueIndicator: { // or subvalueIndicator
type: "rangeBar",
// The rest of the indicator properties go here
}
});
});Angular
HTML
TypeScript
<dx-circular-gauge [value]="40">
<dxo-circular-gauge-value-indicator <!-- or dxo-subvalue-indicator -->
type="rangeBar"
<!-- The rest of the indicator properties go here -->
></dxo-circular-gauge-value-indicator>
<dx-circular-gauge>
import { DxCircularGaugeModule } from "devextreme-angular";
// ...
export class AppComponent {
// ...
}
@NgModule({
imports: [
// ...
DxCircularGaugeModule
],
// ...
})Vue
App.vue
<template>
<DxCircularGauge :value="40">
<DxValueIndicator <!-- or DxSubvalueIndicator -->
type="rangeBar"
<!-- The rest of the indicator properties go here -->
/>
</DxCircularGauge>
</template>
<script>
import DxCircularGauge, {
DxValueIndicator
} from 'devextreme-vue/circular-gauge';
export default {
components: {
DxCircularGauge,
DxValueIndicator
}
}
</script>React
App.js
import React from 'react';
import CircularGauge, {
ValueIndicator
} from 'devextreme-react/circular-gauge';
class App extends React.Component {
render() {
return (
<CircularGauge value={40}>
<ValueIndicator {/* or SubvalueIndicator */}
type="rangeBar"
{/* The rest of the indicator properties go here */}
/>
</CircularGauge>
);
}
}
export default App;ASP.NET MVC Controls
Razor C#
@(Html.DevExtreme().CircularGauge()
.ID("circularGauge")
.Value(40)
.ValueIndicator(vi => vi // or .SubvalueIndicator
.Type(GaugeIndicatorType.RangeBar)
// The rest of the indicator properties go here
)
)RectangleNeedle
An object that defines a gauge indicator of the rectangleNeedle type.
Type:
jQuery
index.js
$(function() {
$("#circularGauge").dxCircularGauge({
value: 40,
valueIndicator: { // or subvalueIndicator
type: "rectangleNeedle",
// The rest of the indicator properties go here
}
});
});Angular
HTML
TypeScript
<dx-circular-gauge [value]="40">
<dxo-circular-gauge-value-indicator <!-- or dxo-subvalue-indicator -->
type="rectangleNeedle"
<!-- The rest of the indicator properties go here -->
></dxo-circular-gauge-value-indicator>
<dx-circular-gauge>
import { DxCircularGaugeModule } from "devextreme-angular";
// ...
export class AppComponent {
// ...
}
@NgModule({
imports: [
// ...
DxCircularGaugeModule
],
// ...
})Vue
App.vue
<template>
<DxCircularGauge :value="40">
<DxValueIndicator <!-- or DxSubvalueIndicator -->
type="rectangleNeedle"
<!-- The rest of the indicator properties go here -->
/>
</DxCircularGauge>
</template>
<script>
import DxCircularGauge, {
DxValueIndicator
} from 'devextreme-vue/circular-gauge';
export default {
components: {
DxCircularGauge,
DxValueIndicator
}
}
</script>React
App.js
import React from 'react';
import CircularGauge, {
ValueIndicator
} from 'devextreme-react/circular-gauge';
class App extends React.Component {
render() {
return (
<CircularGauge value={40}>
<ValueIndicator {/* or SubvalueIndicator */}
type="rectangleNeedle"
{/* The rest of the indicator properties go here */}
/>
</CircularGauge>
);
}
}
export default App;ASP.NET MVC Controls
Razor C#
@(Html.DevExtreme().CircularGauge()
.ID("circularGauge")
.Value(40)
.ValueIndicator(vi => vi // or .SubvalueIndicator
.Type(GaugeIndicatorType.RectangleNeedle)
// The rest of the indicator properties go here
)
)TextCloud
An object that defines a gauge indicator of the textCloud type.
Type:
jQuery
index.js
$(function() {
$("#circularGauge").dxCircularGauge({
value: 40,
valueIndicator: { // or subvalueIndicator
type: "textCloud",
// The rest of the indicator properties go here
}
});
});Angular
HTML
TypeScript
<dx-circular-gauge [value]="40">
<dxo-circular-gauge-value-indicator <!-- or dxo-subvalue-indicator -->
type="textCloud"
<!-- The rest of the indicator properties go here -->
></dxo-circular-gauge-value-indicator>
<dx-circular-gauge>
import { DxCircularGaugeModule } from "devextreme-angular";
// ...
export class AppComponent {
// ...
}
@NgModule({
imports: [
// ...
DxCircularGaugeModule
],
// ...
})Vue
App.vue
<template>
<DxCircularGauge :value="40">
<DxValueIndicator <!-- or DxSubvalueIndicator -->
type="textCloud"
<!-- The rest of the indicator properties go here -->
/>
</DxCircularGauge>
</template>
<script>
import DxCircularGauge, {
DxValueIndicator
} from 'devextreme-vue/circular-gauge';
export default {
components: {
DxCircularGauge,
DxValueIndicator
}
}
</script>React
App.js
import React from 'react';
import CircularGauge, {
ValueIndicator
} from 'devextreme-react/circular-gauge';
class App extends React.Component {
render() {
return (
<CircularGauge value={40}>
<ValueIndicator {/* or SubvalueIndicator */}
type="textCloud"
{/* The rest of the indicator properties go here */}
/>
</CircularGauge>
);
}
}
export default App;ASP.NET MVC Controls
Razor C#
@(Html.DevExtreme().CircularGauge()
.ID("circularGauge")
.Value(40)
.ValueIndicator(vi => vi // or .SubvalueIndicator
.Type(GaugeIndicatorType.TextCloud)
// The rest of the indicator properties go here
)
)TriangleMarker
An object that defines a gauge indicator of the triangleMarker type.
Type:
jQuery
index.js
$(function() {
$("#circularGauge").dxCircularGauge({
value: 40,
valueIndicator: { // or subvalueIndicator
type: "triangleMarker",
// The rest of the indicator properties go here
}
});
});Angular
HTML
TypeScript
<dx-circular-gauge [value]="40">
<dxo-circular-gauge-value-indicator <!-- or dxo-subvalue-indicator -->
type="triangleMarker"
<!-- The rest of the indicator properties go here -->
></dxo-circular-gauge-value-indicator>
<dx-circular-gauge>
import { DxCircularGaugeModule } from "devextreme-angular";
// ...
export class AppComponent {
// ...
}
@NgModule({
imports: [
// ...
DxCircularGaugeModule
],
// ...
})Vue
App.vue
<template>
<DxCircularGauge :value="40">
<DxValueIndicator <!-- or DxSubvalueIndicator -->
type="triangleMarker"
<!-- The rest of the indicator properties go here -->
/>
</DxCircularGauge>
</template>
<script>
import DxCircularGauge, {
DxValueIndicator
} from 'devextreme-vue/circular-gauge';
export default {
components: {
DxCircularGauge,
DxValueIndicator
}
}
</script>React
App.js
import React from 'react';
import CircularGauge, {
ValueIndicator
} from 'devextreme-react/circular-gauge';
class App extends React.Component {
render() {
return (
<CircularGauge value={40}>
<ValueIndicator {/* or SubvalueIndicator */}
type="triangleMarker"
{/* The rest of the indicator properties go here */}
/>
</CircularGauge>
);
}
}
export default App;ASP.NET MVC Controls
Razor C#
@(Html.DevExtreme().CircularGauge()
.ID("circularGauge")
.Value(40)
.ValueIndicator(vi => vi // or .SubvalueIndicator
.Type(GaugeIndicatorType.TriangleMarker)
// The rest of the indicator properties go here
)
)TriangleNeedle
An object that defines a gauge indicator of the triangleNeedle type.
Type:
jQuery
index.js
$(function() {
$("#circularGauge").dxCircularGauge({
value: 40,
valueIndicator: { // or subvalueIndicator
type: "triangleNeedle",
// The rest of the indicator properties go here
}
});
});Angular
HTML
TypeScript
<dx-circular-gauge [value]="40">
<dxo-circular-gauge-value-indicator <!-- or dxo-subvalue-indicator -->
type="triangleNeedle"
<!-- The rest of the indicator properties go here -->
></dxo-circular-gauge-value-indicator>
<dx-circular-gauge>
import { DxCircularGaugeModule } from "devextreme-angular";
// ...
export class AppComponent {
// ...
}
@NgModule({
imports: [
// ...
DxCircularGaugeModule
],
// ...
})Vue
App.vue
<template>
<DxCircularGauge :value="40">
<DxValueIndicator <!-- or DxSubvalueIndicator -->
type="triangleNeedle"
<!-- The rest of the indicator properties go here -->
/>
</DxCircularGauge>
</template>
<script>
import DxCircularGauge, {
DxValueIndicator
} from 'devextreme-vue/circular-gauge';
export default {
components: {
DxCircularGauge,
DxValueIndicator
}
}
</script>React
App.js
import React from 'react';
import CircularGauge, {
ValueIndicator
} from 'devextreme-react/circular-gauge';
class App extends React.Component {
render() {
return (
<CircularGauge value={40}>
<ValueIndicator {/* or SubvalueIndicator */}
type="triangleNeedle"
{/* The rest of the indicator properties go here */}
/>
</CircularGauge>
);
}
}
export default App;ASP.NET MVC Controls
Razor C#
@(Html.DevExtreme().CircularGauge()
.ID("circularGauge")
.Value(40)
.ValueIndicator(vi => vi // or .SubvalueIndicator
.Type(GaugeIndicatorType.TriangleNeedle)
// The rest of the indicator properties go here
)
)TwoColorNeedle
An object that defines a gauge indicator of the twoColorNeedle type.
Type:
jQuery
index.js
$(function() {
$("#circularGauge").dxCircularGauge({
value: 40,
valueIndicator: { // or subvalueIndicator
type: "twoColorNeedle",
// The rest of the indicator properties go here
}
});
});Angular
HTML
TypeScript
<dx-circular-gauge [value]="40">
<dxo-circular-gauge-value-indicator <!-- or dxo-subvalue-indicator -->
type="twoColorNeedle"
<!-- The rest of the indicator properties go here -->
></dxo-circular-gauge-value-indicator>
<dx-circular-gauge>
import { DxCircularGaugeModule } from "devextreme-angular";
// ...
export class AppComponent {
// ...
}
@NgModule({
imports: [
// ...
DxCircularGaugeModule
],
// ...
})Vue
App.vue
<template>
<DxCircularGauge :value="40">
<DxValueIndicator <!-- or DxSubvalueIndicator -->
type="twoColorNeedle"
<!-- The rest of the indicator properties go here -->
/>
</DxCircularGauge>
</template>
<script>
import DxCircularGauge, {
DxValueIndicator
} from 'devextreme-vue/circular-gauge';
export default {
components: {
DxCircularGauge,
DxValueIndicator
}
}
</script>React
App.js
import React from 'react';
import CircularGauge, {
ValueIndicator
} from 'devextreme-react/circular-gauge';
class App extends React.Component {
render() {
return (
<CircularGauge value={40}>
<ValueIndicator {/* or SubvalueIndicator */}
type="twoColorNeedle"
{/* The rest of the indicator properties go here */}
/>
</CircularGauge>
);
}
}
export default App;ASP.NET MVC Controls
Razor C#
@(Html.DevExtreme().CircularGauge()
.ID("circularGauge")
.Value(40)
.ValueIndicator(vi => vi // or .SubvalueIndicator
.Type(GaugeIndicatorType.TwoColorNeedle)
// The rest of the indicator properties go here
)
)

Vue CircularGauge Indicator Types
This section lists objects that define properties used to configure value and subvalue indicators of specific types.
RangeBar
An object that defines a gauge indicator of the rangeBar type.
Type:
jQuery
index.js
$(function() {
$("#circularGauge").dxCircularGauge({
value: 40,
valueIndicator: {
type: "rangeBar",
},
subvalueIndicator: {
type: "rangeBar",
},
});
});Angular
app.component.html
app.module.ts
<dx-circular-gauge [value]="40">
<dxo-circular-gauge-value-indicator
type="rangeBar"
></dxo-circular-gauge-value-indicator>
<dxo-circular-gauge-subvalue-indicator
type="rangeBar"
></dxo-circular-gauge-subvalue-indicator>
</dx-circular-gauge>
import { DxCircularGaugeModule } from "devextreme-angular";
// ...
export class AppComponent {
// ...
}
@NgModule({
imports: [
// ...
DxCircularGaugeModule
],
// ...
})Vue
App.vue
<template>
<DxCircularGauge :value="40">
<DxValueIndicator
type="rangeBar"
/>
<DxSubvalueIndicator
type="rangeBar"
/>
</DxCircularGauge>
</template>
<script setup lang="ts">
import { DxCircularGauge, DxValueIndicator, DxSubvalueIndicator } from 'devextreme-vue/circular-gauge';
</script>React
App.tsx
import { CircularGauge, ValueIndicator, SubvalueIndicator } from 'devextreme-react/circular-gauge';
function App(): JSX.Element {
return (
<CircularGauge value={40}>
<ValueIndicator
type="rangeBar"
/>
<SubvalueIndicator
type="rangeBar"
/>
</CircularGauge>
);
}ASP.NET MVC Controls
Razor C#
@(Html.DevExtreme().CircularGauge()
.ID("circularGauge")
.Value(40)
.ValueIndicator(vi => vi.Type(GaugeIndicatorType.RangeBar))
.SubvalueIndicator(svi => svi.Type(GaugeIndicatorType.RangeBar))
)RectangleNeedle
An object that defines a gauge indicator of the rectangleNeedle type.
Type:
jQuery
index.js
$(function() {
$("#circularGauge").dxCircularGauge({
value: 40,
valueIndicator: {
type: "rectangleNeedle",
},
subvalueIndicator: {
type: "rectangleNeedle",
},
});
});Angular
app.component.html
app.module.ts
<dx-circular-gauge [value]="40">
<dxo-circular-gauge-value-indicator
type="rectangleNeedle"
></dxo-circular-gauge-value-indicator>
<dxo-circular-gauge-subvalue-indicator
type="rectangleNeedle"
></dxo-circular-gauge-subvalue-indicator>
</dx-circular-gauge>
import { DxCircularGaugeModule } from "devextreme-angular";
// ...
export class AppComponent {
// ...
}
@NgModule({
imports: [
// ...
DxCircularGaugeModule
],
// ...
})Vue
App.vue
<template>
<DxCircularGauge :value="40">
<DxValueIndicator
type="rectangleNeedle"
/>
<DxSubvalueIndicator
type="rectangleNeedle"
/>
</DxCircularGauge>
</template>
<script setup lang="ts">
import { DxCircularGauge, DxValueIndicator, DxSubvalueIndicator } from 'devextreme-vue/circular-gauge';
</script>React
App.tsx
import { CircularGauge, ValueIndicator, SubvalueIndicator } from 'devextreme-react/circular-gauge';
function App(): JSX.Element {
return (
<CircularGauge value={40}>
<ValueIndicator
type="rectangleNeedle"
/>
<SubvalueIndicator
type="rectangleNeedle"
/>
</CircularGauge>
);
}ASP.NET MVC Controls
Razor C#
@(Html.DevExtreme().CircularGauge()
.ID("circularGauge")
.Value(40)
.ValueIndicator(vi => vi.Type(GaugeIndicatorType.RectangleNeedle))
.SubvalueIndicator(svi => svi.Type(GaugeIndicatorType.RectangleNeedle))
)TextCloud
An object that defines a gauge indicator of the textCloud type.
Type:
jQuery
index.js
$(function() {
$("#circularGauge").dxCircularGauge({
value: 40,
valueIndicator: {
type: "textCloud",
},
subvalueIndicator: {
type: "textCloud",
},
});
});Angular
app.component.html
app.module.ts
<dx-circular-gauge [value]="40">
<dxo-circular-gauge-value-indicator
type="textCloud"
></dxo-circular-gauge-value-indicator>
<dxo-circular-gauge-subvalue-indicator
type="textCloud"
></dxo-circular-gauge-subvalue-indicator>
</dx-circular-gauge>
import { DxCircularGaugeModule } from "devextreme-angular";
// ...
export class AppComponent {
// ...
}
@NgModule({
imports: [
// ...
DxCircularGaugeModule
],
// ...
})Vue
App.vue
<template>
<DxCircularGauge :value="40">
<DxValueIndicator
type="textCloud"
/>
<DxSubvalueIndicator
type="textCloud"
/>
</DxCircularGauge>
</template>
<script setup lang="ts">
import { DxCircularGauge, DxValueIndicator, DxSubvalueIndicator } from 'devextreme-vue/circular-gauge';
</script>React
App.tsx
import { CircularGauge, ValueIndicator, SubvalueIndicator } from 'devextreme-react/circular-gauge';
function App(): JSX.Element {
return (
<CircularGauge value={40}>
<ValueIndicator
type="textCloud"
/>
<SubvalueIndicator
type="textCloud"
/>
</CircularGauge>
);
}ASP.NET MVC Controls
Razor C#
@(Html.DevExtreme().CircularGauge()
.ID("circularGauge")
.Value(40)
.ValueIndicator(vi => vi.Type(GaugeIndicatorType.TextCloud))
.SubvalueIndicator(svi => svi.Type(GaugeIndicatorType.TextCloud))
)TriangleMarker
An object that defines a gauge indicator of the triangleMarker type.
Type:
jQuery
index.js
$(function() {
$("#circularGauge").dxCircularGauge({
value: 40,
valueIndicator: {
type: "triangleMarker",
},
subvalueIndicator: {
type: "triangleMarker",
},
});
});Angular
app.component.html
app.module.ts
<dx-circular-gauge [value]="40">
<dxo-circular-gauge-value-indicator
type="triangleMarker"
></dxo-circular-gauge-value-indicator>
<dxo-circular-gauge-subvalue-indicator
type="triangleMarker"
></dxo-circular-gauge-subvalue-indicator>
</dx-circular-gauge>
import { DxCircularGaugeModule } from "devextreme-angular";
// ...
export class AppComponent {
// ...
}
@NgModule({
imports: [
// ...
DxCircularGaugeModule
],
// ...
})Vue
App.vue
<template>
<DxCircularGauge :value="40">
<DxValueIndicator
type="triangleMarker"
/>
<DxSubvalueIndicator
type="triangleMarker"
/>
</DxCircularGauge>
</template>
<script setup lang="ts">
import { DxCircularGauge, DxValueIndicator, DxSubvalueIndicator } from 'devextreme-vue/circular-gauge';
</script>React
App.tsx
import { CircularGauge, ValueIndicator, SubvalueIndicator } from 'devextreme-react/circular-gauge';
function App(): JSX.Element {
return (
<CircularGauge value={40}>
<ValueIndicator
type="triangleMarker"
/>
<SubvalueIndicator
type="triangleMarker"
/>
</CircularGauge>
);
}ASP.NET MVC Controls
Razor C#
@(Html.DevExtreme().CircularGauge()
.ID("circularGauge")
.Value(40)
.ValueIndicator(vi => vi.Type(GaugeIndicatorType.TriangleMarker))
.SubvalueIndicator(svi => svi.Type(GaugeIndicatorType.TriangleMarker))
)TriangleNeedle
An object that defines a gauge indicator of the triangleNeedle type.
Type:
jQuery
index.js
$(function() {
$("#circularGauge").dxCircularGauge({
value: 40,
valueIndicator: {
type: "triangleNeedle",
},
subvalueIndicator: {
type: "triangleNeedle",
},
});
});Angular
app.component.html
app.module.ts
<dx-circular-gauge [value]="40">
<dxo-circular-gauge-value-indicator
type="triangleNeedle"
></dxo-circular-gauge-value-indicator>
<dxo-circular-gauge-subvalue-indicator
type="triangleNeedle"
></dxo-circular-gauge-subvalue-indicator>
</dx-circular-gauge>
import { DxCircularGaugeModule } from "devextreme-angular";
// ...
export class AppComponent {
// ...
}
@NgModule({
imports: [
// ...
DxCircularGaugeModule
],
// ...
})Vue
App.vue
<template>
<DxCircularGauge :value="40">
<DxValueIndicator
type="triangleNeedle"
/>
<DxSubvalueIndicator
type="triangleNeedle"
/>
</DxCircularGauge>
</template>
<script setup lang="ts">
import { DxCircularGauge, DxValueIndicator, DxSubvalueIndicator } from 'devextreme-vue/circular-gauge';
</script>React
App.tsx
import { CircularGauge, ValueIndicator, SubvalueIndicator } from 'devextreme-react/circular-gauge';
function App(): JSX.Element {
return (
<CircularGauge value={40}>
<ValueIndicator
type="triangleNeedle"
/>
<SubvalueIndicator
type="triangleNeedle"
/>
</CircularGauge>
);
}ASP.NET MVC Controls
Razor C#
@(Html.DevExtreme().CircularGauge()
.ID("circularGauge")
.Value(40)
.ValueIndicator(vi => vi.Type(GaugeIndicatorType.TriangleNeedle))
.SubvalueIndicator(svi => svi.Type(GaugeIndicatorType.TriangleNeedle))
)TwoColorNeedle
An object that defines a gauge indicator of the twoColorNeedle type.
Type:
jQuery
index.js
$(function() {
$("#circularGauge").dxCircularGauge({
value: 40,
valueIndicator: {
type: "twoColorNeedle",
},
subvalueIndicator: {
type: "twoColorNeedle",
},
});
});Angular
app.component.html
app.module.ts
<dx-circular-gauge [value]="40">
<dxo-circular-gauge-value-indicator
type="twoColorNeedle"
></dxo-circular-gauge-value-indicator>
<dxo-circular-gauge-subvalue-indicator
type="twoColorNeedle"
></dxo-circular-gauge-subvalue-indicator>
</dx-circular-gauge>
import { DxCircularGaugeModule } from "devextreme-angular";
// ...
export class AppComponent {
// ...
}
@NgModule({
imports: [
// ...
DxCircularGaugeModule
],
// ...
})Vue
App.vue
<template>
<DxCircularGauge :value="40">
<DxValueIndicator
type="twoColorNeedle"
/>
<DxSubvalueIndicator
type="twoColorNeedle"
/>
</DxCircularGauge>
</template>
<script setup lang="ts">
import { DxCircularGauge, DxValueIndicator, DxSubvalueIndicator } from 'devextreme-vue/circular-gauge';
</script>React
App.tsx
import { CircularGauge, ValueIndicator, SubvalueIndicator } from 'devextreme-react/circular-gauge';
function App(): JSX.Element {
return (
<CircularGauge value={40}>
<ValueIndicator
type="twoColorNeedle"
/>
<SubvalueIndicator
type="twoColorNeedle"
/>
</CircularGauge>
);
}ASP.NET MVC Controls
Razor C#
@(Html.DevExtreme().CircularGauge()
.ID("circularGauge")
.Value(40)
.ValueIndicator(vi => vi.Type(GaugeIndicatorType.TwoColorNeedle))
.SubvalueIndicator(svi => svi.Type(GaugeIndicatorType.TwoColorNeedle))
)